body {
    margin: 0px;
    padding: 0px;
    font-family: 'HarmonyOS_Sans_SC_Regular.ttf', sans-serif;
    overflow-y: scroll;
    width: 100vw;
    height: 100vh;
    background: url("wallpaper/bing251002.jpg") bottom/cover;
    background-attachment: fixed;
}
body::-webkit-scrollbar {
    display: none;
}

.daohang {
    background-color: rgb(240, 240, 240, 0.3);
    height: 50px;
    width: 100%;
    position: fixed;
    top: 0px;
    left: 0px;
    backdrop-filter: blur(10px);
    z-index: 100000;
}

.daohang ul {
    width: 100%;
    height: 50px;
    margin: 0px auto;
}

.daohang ul li {
    display: inline-block;
    line-height: 50px;
    padding: 0px 35px;
    font-size: 25px;
}

.th a {
    color: rgba(255, 255, 255, 0.9);
    transition: all 0.3s;
}

li {
    list-style: none;
}

:hover.th a {
    color: rgba(97, 152, 255, 0.9);
    transition: all 0.3s;
}

a {
    text-decoration: none;
}

.search {
    height: 60px;
    line-height: 60px;
    margin: 0px;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.index.search {
    width: 80%;
    position: absolute;
    bottom: 10%;
    margin-inline: 10%;
}

.webdh.search {
    width: 60%;
    position: relative;
    top: 5%;
    margin-inline: 20%;
}

.search input {
    flex: 1px;
    height: 60px;
    line-height: 60px;
    box-sizing: border-box;
    border: none;
    outline: none;
    font-size: 20px;
    background-color: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(5px);
}

#searchb {
    height: 60px;
    line-height: 60px;
    padding: 0 30px;
    border: none;
    box-sizing: border-box;
    background-color: #00aeef;
    font-size: 20px;
    color: white;
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
    box-shadow: none;
    transition: box-shadow 0.1s;
}

:hover#search {
    box-shadow: 0 0 12px rgba(100, 149, 237, 0.5);
}

#bing {
    border-top-left-radius: 30px;
    border-bottom-left-radius: 30px;
    height: 60px;
    line-height: 20px;
    padding: 0px 20px;
    border: none;
    box-sizing: border-box;
    background-color: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(5px);
}

#bing img {
    height: 30px;
    width: 30px;
}

.tuijian {
    width: 50%;
    height: 400px;
    margin: 0 auto;
    display: table;
    position: relative;
    margin-top: 5%;
}

.tuijian ul {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    width: 1000px;
}

.tuijian ul li {
    width: 25%;
    box-sizing: border-box;
    padding: 10px;
}

.dhxiang {
    background-color: rgba(255, 255, 255, 0.3);
    border-radius: 30px;
    list-style: none;
    transition: all 0.3s;
    backdrop-filter: blur(10px);
}

.dhxiang.dh0 {
    width: 150px;
    height: 180px;
}

.dhxiang.dh1 {
    width: 150px;
    height: 180px;
}

:hover.dhxiang {
    background-color: rgba(255, 255, 255, 1);
    transition: all 0.3s;
}

.dhxiang img {
    width: 60px;
    height: 60px;
    margin: auto;
    display: block;
    padding-top: 20px;
}

.dhxiang p {
    text-align: center;
    color: #000;
    font-size: 20px;
}

#htui {
    color: #fff;
    text-align: center;
    position: relative;
    margin-top: 56%;
    font-size: 60px;
}

.daohang2 {
    position: fixed;
    height: 100%;
    width: 13%;
    background-color: rgba(255, 255, 255, 0.3);
    backdrop-filter: blur(10px);
    z-index: 1000;
}

.daohang2 ul {
    position: relative;
    left: 2%;
    padding: 0%;
}

.daohang2 li {
    font-size: 16px;
    padding: 6px 0;
    text-align: center;
}

.fenye {
    color: #fff;
    margin: 0;
    position: relative;
    left: 15%;
    top: 8%;
    font-size: 40px;
}

.bigcard {
    width: 45%;
    height: 600px;
    margin: 0 auto;
    display: table;
    position: relative;
    top: 5%;
    left: 4%;
}
.big {
    width: 40%;
    box-sizing: border-box;
    padding: 10px;
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 15px;
    backdrop-filter: blur(10px);
    margin: 20px;
    transition: all 0.3s;
}

:hover.big {
    background-color: rgba(255, 255, 255, 1);
    transition: all 0.3s;
}

.bigcard ul {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    width: 1000px;
}

.bigcard p {
    font-size: 20px;
    color: #000;
}

.bigcard img {
    height: 50px;
    width: 50px;
}

.dhsmall {
    width: 70%;
    margin: 0 auto;
    position: relative;
    top: 1%;
}
.dhsmall.a{
    top: 1%;
}

.dhsmall ul {
    padding: 0%;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
}

.dhsmall ul li {
    width: 20%;
    box-sizing: border-box;
    padding: 10px 40px;
}